cascading.stats

## Enum CascadingStats.Status

- java.lang.Object
- - java.lang.Enum<CascadingStats.Status>
  - - cascading.stats.CascadingStats.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CascadingStats.Status>

Enclosing class:
  CascadingStats<Child>

    public static enum CascadingStats.Status
    extends java.lang.Enum<CascadingStats.Status>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FAILED`
`PENDING`
`RUNNING`
`SKIPPED`
`STARTED`
`STOPPED`
`SUBMITTED`
`SUCCESSFUL`

### Method Summary

Methods
`boolean` `isFinished()`
`static CascadingStats.Status` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CascadingStats.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PENDING

    public static final CascadingStats.Status PENDING

#### SKIPPED

    public static final CascadingStats.Status SKIPPED

#### STARTED

    public static final CascadingStats.Status STARTED

#### SUBMITTED

    public static final CascadingStats.Status SUBMITTED

#### RUNNING

    public static final CascadingStats.Status RUNNING

#### SUCCESSFUL

    public static final CascadingStats.Status SUCCESSFUL

#### STOPPED

    public static final CascadingStats.Status STOPPED

#### FAILED

    public static final CascadingStats.Status FAILED

### Method Detail

#### values

    public static CascadingStats.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CascadingStats.Status c : CascadingStats.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CascadingStats.Status valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isFinished

    public boolean isFinished()